build PyQt4

load Python 2.7.5

$ module load python/2.7.5

install sip

$cd /tmp/build
$tar xzvf /install/archive/src/sip-4.14.6.tar.gz
$cd sip-4.14.6/
$$PYTHON_EXE configure.py
$make -j8
$make install

install PyQt4

$cd /tmp
$tar xzvf /install/archive/src/PyQt-x11-gpl-4.10.2-snapshot-a8a14dd99d1e.tar.gz
$cd PyQt-x11-gpl-4.10.2-snapshot-a8a14dd99d1e/
$PYTHON_EXE configure-ng.py --qmake=/usr/bin/qmake-qt4  --consolidate
$make -j8
$make install